> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign Calls



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json post /api/v1/campaigns/{campaign_id}/calls
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/calls:
    post:
      tags:
        - Campaigns
      summary: Campaign Calls
      operationId: campaign_calls_api_v1_campaigns__campaign_id__calls_post
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign.
            title: Campaign Id
          description: The ID of the campaign.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LaunchTargetsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LaunchTargetsRequest:
      properties:
        target_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Target Ids
          description: >-
            The IDs of the campaign targets to call. If not provided, count must
            be set.
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
          description: >-
            Number of random pending targets to launch. If not provided,
            target_ids must be set.
        prioritize_oldest:
          type: boolean
          title: Prioritize Oldest
          description: Whether to prioritize oldest targets when launching.
          default: false
      type: object
      title: LaunchTargetsRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````